#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_EUSILC_Microdata_2016_PERSONAL_DATA_PFILE_Longitudinal_FILE_STRUCTURE_EXAMPLE.txt", sep="")
DF_EUSILC_A2016_PERSONAL_DATA_P<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_EUSILC_A2016_PERSONAL_DATA_P, "label") <- c(
"YEAR OF THE SURVEY",
"COUNTRY",
"PERSONAL ID",
"PERSONAL BASE WEIGHT",
"FLAG OF PB050",
"PERSONAL BASE WEIGHT FOR SELECTED RESPONDENT",
"FLAG OF PB080",
"MONTH OF THE PERSONAL INTERVIEW",
"FLAG OF PB100",
"YEAR OF THE PERSONAL INTERVIEW",
"FLAG OF PB110",
"MINUTES TO COMPLETE THE PERSONAL QUESTIONNAIRE",
"FLAG OF PB120",
"MONTH OF BIRTH",
"FLAG OF PB130",
"YEAR OF BIRTH",
"FLAG OF PB140",
"SEX",
"FLAG OF PB150",
"FATHER ID",
"FLAG OF PB160",
"FATHER ID",
"FLAG OF PB170",
"SPOUSE/PARTNER ID",
"FLAG OF PB180",
"MARITAL STATUS",
"FLAG OF PB190",
"CONSENSUAL UNION",
"FLAG OF PB200",
"HIGHEST ISCED LEVEL ATTAINED",
"FLAG OF PE040",
"GENERAL HEALTH",
"FLAG OF PH010",
"SUFFER FROM ANY A CHRONIC (LONG-STANDING) ILLNESS OR CONDITION",
"FLAG OF PH020",
"LIMITATION IN ACTIVITIES BECAUSE OF HEALTH PROBLEMS",
"FLAG OF PH030",
"ACTIVELY LOOKING FOR A JOB",
"FLAG OF PL020",
"AVAILABLE FOR WORK",
"FLAG OF PL025",
"SELF-DEFINED CURRENT ECONOMIC STATUS",
"FLAG OF PL031",
"STATUS IN EMPLOYMENT",
"FLAG OF PL040",
"OCCUPATION (ISCO-88 (COM))",
"FLAG OF PL051",
"NUMBER OF HOURS USUALLY WORKED PER WEEK IN MAIN JOB",
"FLAG OF PL060",
"TYPE OF CONTRACT",
"FLAG OF PL140",
"CHANGE OF JOB SINCE LAST YEAR",
"FLAG OF PL160",
"REASON FOR CHANGE",
"FLAG OF PL170",
"MOST RECENT CHANGE IN THE INDIVIDUALS ACTIVITY STATUS",
"FLAG OF PL180",
"WHEN BEGAN FIRST REGULAR JOB",
"FLAG OF PL190",
"NUMBER OF YEARS SPENT IN PAID WORK",
"FLAG OF PL200",
"MAIN ACTIVITY ON JANUARY",
"FLAG OF PL211A",
"MAIN ACTIVITY ON FEBRUARY",
"FLAG OF PL211B",
"MAIN ACTIVITY ON MARCH",
"FLAG OF PL211C",
"MAIN ACTIVITY ON APRIL",
"FLAG OF PL211D",
"MAIN ACTIVITY ON MAY",
"FLAG OF PL211E",
"MAIN ACTIVITY ON JUNE",
"FLAG OF PL211F",
"MAIN ACTIVITY ON JULY",
"FLAG OF PL211G",
"MAIN ACTIVITY ON AUGUST",
"FLAG OF PL211H",
"MAIN ACTIVITY ON SEPTEMBER",
"FLAG OF PL211I",
"MAIN ACTIVITY ON OCTOBER",
"FLAG OF PL211J",
"MAIN ACTIVITY ON NOVEMBER",
"FLAG OF PL211K",
"MAIN ACTIVITY ON DECEMBER",
"FLAG OF PL211L",
"EMPLOYEE CASH OR NEAR CASH INCOME",
"FLAG OF PY010N",
"IMPUTATION FACTOR OF PY010N",
"NON-CASH EMPLOYEE INCOME",
"FLAG OF PY020N",
"IMPUTATION FACTOR OF PY020N",
"COMPANY CAR",
"FLAG OF PY021N",
"IMPUTATION FACTOR OF PY021N",
"CONTRIBUTIONS TO INDIVIDUAL PRIVATE PENSION PLANS",
"FLAG OF PY035N",
"IMPUTATION FACTOR OF PY035N",
"CASH BENEFITS OR LOSSES FROM SELF-EMPLOYMENT",
"FLAG OF PY050N",
"IMPUTATION FACTOR OF PY050N",
"PENSION FROM INDIVIDUAL PRIVATE PLANS",
"FLAG OF PY080N",
"IMPUTATION FACTOR OF PY080N",
"UNEMPLOYMENT BENEFITS",
"FLAG OF PY090N",
"IMPUTATION FACTOR OF PY090N",
"OLD-AGE BENEFITS",
"FLAG OF PY100N",
"IMPUTATION FACTOR OF PY100N",
"SURVIVOR BENEFITS",
"FLAG OF PY110N",
"IMPUTATION FACTOR OF PY110N",
"SICKNESS BENEFITS",
"FLAG OF PY120N",
"IMPUTATION FACTOR OF PY120N",
"DISABILITY BENEFITS",
"FLAG OF PY130N",
"IMPUTATION FACTOR OF PY130N",
"EDUCATION-RELATED ALLOWANCES",
"FLAG OF PY140N",
"IMPUTATION FACTOR OF PY140N",
"EMPLOYEE CASH OR NEAR CASH INCOME",
"FLAG OF PY010G",
"IMPUTATION FACTOR OF PY010G",
"NON-CASH EMPLOYEE INCOME",
"FLAG OF PY020G",
"IMPUTATION FACTOR OF PY020G",
"COMPANY CAR",
"FLAG OF PY021G",
"IMPUTATION FACTOR OF PY021G",
"EMPLOYER'S SOCIAL INSURANCE CONTRIBUTION",
"FLAG OF PY030G",
"IMPUTATION FACTOR OF PY030G",
"OPTIONAL EMPLOYER'S SOCIAL INSURANCE CONTRIBUTIONS",
"FLAG OF PY031G",
"IMPUTATION FACTOR OF PY031G",
"CONTRIBUTIONS TO INDIVIDUAL PRIVATE PENSION PLANS",
"FLAG OF PY035G",
"IMPUTATION FACTOR OF PY035G",
"CASH BENEFITS OR LOSSES FROM SELF-EMPLOYMENT",
"FLAG OF PY050G",
"IMPUTATION FACTOR OF PY050G",
"PENSION FROM INDIVIDUAL PRIVATE PLANS",
"FLAG OF PY080G",
"IMPUTATION FACTOR OF PY080G",
"UNEMPLOYMENT BENEFITS",
"FLAG OF PY090G",
"IMPUTATION FACTOR OF PY090G",
"UNEMPLOYMENT BENEFITS (CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY091G",
"UNEMPLOYMENT BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY092G",
"UNEMPLOYMENT BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY093G",
"UNEMPLOYMENT BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY094G",
"OLD-AGE BENEFITS",
"FLAG OF PY100G",
"IMPUTATION FACTOR OF PY100G",
"OLD-AGE BENEFITS (CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY101G",
"OLD-AGE BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY102G",
"OLD-AGE BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY103G",
"OLD-AGE BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY104G",
"SURVIVOR BENEFITS",
"FLAG OF PY110G",
"IMPUTATION FACTOR OF PY110G",
"SURVIVOR BENEFITS (CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY111G",
"SURVIVOR BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY112G",
"SURVIVOR BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY113G",
"SURVIVOR BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY114G",
"SICKNESS BENEFITS",
"FLAG OF PY120G",
"IMPUTATION FACTOR OF PY120G",
"SICKNESS BENEFITS (CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY121G",
"SICKNESS BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY122G",
"SICKNESS BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY123G",
"SICKNESS BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY124G",
"DISABILITY BENEFITS",
"FLAG OF PY130G",
"IMPUTATION FACTOR OF PY130G",
"DISABILITY BENEFITS (CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY131G",
"DISABILITY BENEFITS (CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY132G",
"DISABILITY BENEFITS (NON-CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY133G",
"DISABILITY BENEFITS (NON-CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY134G",
"EDUCATION-RELATED ALLOWANCES",
"FLAG OF PY140G",
"IMPUTATION FACTOR OF PY140G",
"EDUCATION-RELATED ALLOWANCES (CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY141G",
"EDUCATION-RELATED ALLOWANCES (CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY142G",
"EDUCATION-RELATED ALLOWANCES (NON-CONTRIBUTORY AND MEANS-TESTED)",
"FLAG OF PY143G",
"EDUCATION-RELATED ALLOWANCES (NON-CONTRIBUTORY AND NON MEANS-TESTED)",
"FLAG OF PY144G",
"CHANGE RATE",
"AGE AT THE END OF THE INCOME REFERENCE PERIOD",
"HOUSEHOLD IDENTIFICATION NUMBER",
"SELECTED RESPONDENT STATUS")

PB020_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB020, 
levels=c("AT", 
"BE", 
"BG", 
"CH", 
"CY", 
"CZ", 
"DE", 
"DK", 
"EE", 
"EL", 
"ES", 
"FI", 
"FR", 
"HR", 
"HU", 
"IE", 
"IS", 
"IT", 
"LT", 
"LU", 
"LV", 
"ME", 
"MK", 
"MT", 
"NL", 
"NO", 
"PL", 
"PT", 
"RO", 
"RS", 
"SE", 
"SI", 
"SK", 
"TR", 
"UK"), 
labels=c("sterreich", 
"Belgique/Belge", 
"Bulgaria", 
"Switzerland", 
"Cyprus", 
"Czech republic", 
"Deutschland", 
"Denmark", 
"Estonia", 
"Ellda", 
"Espaa", 
"Suomi", 
"France", 
"Croatia", 
"Hungary", 
"Ireland", 
"Iceland", 
"Italia", 
"Lithuania", 
"Luxembourg", 
"Latvia", 
"Montenegro", 
"The Former Yugoslav Republic of Macedonia (FYROM)", 
"Malta", 
"Nederland", 
"Norway", 
"Poland", 
"Portugal", 
"Romania", 
"Serbia", 
"Sverige", 
"Slovenia", 
"Slovak republic", 
"Turkey", 
"United Kingdom")) 


PB050_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB050_F, 
levels=c(1, 
-7), 
labels=c("filled", 
"Not applicable: PB010 ne last year")) 


PB080_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB080_F, 
levels=c(1, 
-3), 
labels=c("filled", 
"not selected respondent")) 


PB100_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB100, 
levels=c(1, 
2, 
3, 
4), 
labels=c("January-March", 
"April-June", 
"July-September", 
"October-December")) 


PB100_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB100_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PB110_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB110_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PB120_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB120_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"na (information only extracted from registers)")) 


PB130_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB130, 
levels=c(1, 
2, 
3, 
4), 
labels=c("January-March", 
"April-June", 
"July-September", 
"October-December")) 


PB130_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB130_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PB140_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB140_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PB150_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB150, 
levels=c(1, 
2), 
labels=c("Male", 
"Female")) 


PB150_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB150_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PB160_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB160_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"na (father is not a household member)")) 


PB170_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB170_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"na (mother is not a household member)")) 


PB180_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB180_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"not applicable (person has no spouse/partner or spouse/partner is not a household member)")) 


PB190_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB190, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Never married", 
"Married", 
"Separated", 
"Widowed", 
"Divorced")) 


PB190_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB190_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PB200_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB200, 
levels=c(1, 
2, 
3), 
labels=c("yes on a legal basis", 
"yes without a legal basis", 
"no")) 


PB200_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PB200_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


PE040_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PE040, 
levels=c(1, 
2, 
3, 
4, 
5, 
000, 
100, 
200, 
300, 
400, 
500), 
labels=c("primary education", 
"lower secondary education", 
"(upper) secondary education", 
"post-secondary non tertiary education", 
"tertiary education", 
"Less than primary education", 
"Primary education", 
"Lower secondary education", 
"Upper secondary education (not further specified)", 
"Post-secondary non-tertiary education (not further specified)", 
"Tertiary education")) 


PE040_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PE040_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"non applicable (the person has never been in education) can only be used before 2014(PB010<2014)")) 


PH010_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PH010, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("very good", 
"good", 
"fair", 
"bad", 
"very bad")) 


PH010_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PH010_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PH020_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PH020, 
levels=c(1, 
2), 
labels=c("yes", 
"no")) 


PH020_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PH020_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PH030_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PH030, 
levels=c(1, 
2, 
3), 
labels=c("yes, strongly limited", 
"yes, limited", 
"no, not limited")) 


PH030_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PH030_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL020_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL020, 
levels=c(1, 
2), 
labels=c("yes", 
"no")) 


PL020_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL020_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"not applicable  (PL031 = 1, 2, 3 or 4)")) 


PL025_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL025, 
levels=c(1, 
2), 
labels=c("yes", 
"no")) 


PL025_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL025_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"not applicable  (PL031 = 1, 2, 3 or 4)")) 


PL031_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL031, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL031_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL031_F, 
levels=c(1, 
-1, 
-5), 
labels=c("filled", 
"missing", 
"missing value of PL031 because PL030 is still used")) 


PL040_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL040, 
levels=c(1, 
2, 
3, 
4), 
labels=c("self-employed with employees", 
"self-employed without employees", 
"employee", 
"family worker")) 


PL040_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL040_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"not applicable ( PL031 not = 1, 2, 3 or 4 and PL015 not = 1)")) 


PL051_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL051, 
levels=c(1, 
2, 
3, 
11, 
12, 
13, 
14, 
21, 
22, 
23, 
24, 
25, 
26, 
31, 
32, 
33, 
34, 
35, 
41, 
42, 
43, 
44, 
51, 
52, 
53, 
54, 
61, 
62, 
63, 
71, 
72, 
73, 
74, 
75, 
81, 
82, 
83, 
91, 
92, 
93, 
94, 
95, 
96), 
labels=c("Commissioned armed forces officers", 
"Non-commissioned armed forces officers", 
"Armed forces occupations, other ranks", 
"Chief executives, senior officials and legislators", 
"Administrative and commercial managers", 
"Production and specialised services managers", 
"Hospitality, retail and other services managers", 
"Science and engineering professionals", 
"Health professionals", 
"Teaching professionals", 
"Business and administration professionals", 
"Information and communications technology professionals", 
"Legal, social and cultural professionals", 
"Science and engineering associate professionals", 
"Health associate professionals", 
"Business and administration associate professionals", 
"Legal, social, cultural and related associate professionals", 
"Information and communications technicians", 
"General and keyboard clerks", 
"Customer services clerks", 
"Numerical and material recording clerks", 
"Other clerical support workers", 
"Personal service workers", 
"Sales workers", 
"Personal care workers", 
"Protective services workers", 
"Market-oriented skilled agricultural workers", 
"Market-oriented skilled forestry, fishery and hunting workers", 
"Subsistence farmers, fishers, hunters and gatherers", 
"Building and related trades workers, excluding electricians", 
"Metal, machinery and related trades workers", 
"Handicraft and printing workers", 
"Electrical and electronic trades workers", 
"Food processing, wood working, garment and other craft and related trades workers", 
"Stationary plant and machine operators", 
"Assemblers", 
"Drivers and mobile plant operators", 
"Cleaners and helpers", 
"Agricultural, forestry and fishery labourers", 
"Labourers in mining, construction, manufacturing and transport", 
"Food preparation assistants", 
"Street and related sales and service workers", 
"Refuse workers and other elementary workers")) 


PL051_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL051_F, 
levels=c(1, 
-1, 
-2, 
-5), 
labels=c("filled", 
"missing", 
"not applicable (PL031 not = 1, 2, 3 or 4 and PL015 not = 1)", 
"missing value of PL051 because PL050 is still used")) 


PL060_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL060_F, 
levels=c(1, 
-1, 
-2, 
-6), 
labels=c("filled", 
"missing", 
"not applicable (PL031 not = 1, 2, 3 or 4 and PL035 not = 1)", 
"hours varying (even an average over 4 weeks is not possible")) 


PL140_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL140, 
levels=c(1, 
2), 
labels=c("permanent job/work contract of unlimited duration", 
"temporary job/work contract of limited duration")) 


PL140_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL140_F, 
levels=c(1, 
-1, 
-2, 
-3, 
-4), 
labels=c("filled", 
"missing", 
"not applicable (PL040 not = 3)", 
"not selected respondent", 
"not applicable because the person is employee (PL040=3) but has not any contract")) 


PL160_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL160, 
levels=c(1, 
2), 
labels=c("yes", 
"no")) 


PL160_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL160_F, 
levels=c(1, 
-1, 
-2, 
-3), 
labels=c("filled", 
"missing", 
"not applicable (PL031 not = 1, 2, 3 or 4)", 
"not selected respondent")) 


PL170_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL170, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("To take up or seek better job", 
"End of temporary contract", 
"Obliged to stop by employer (business closure, redundancy, early retirement, dismissal etc.)", 
"Sale or closure of own/family business", 
"Child care and care for other dependent", 
"Partners job required us to move to another area or marriage", 
"Other reasons")) 


PL170_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL170_F, 
levels=c(1, 
-1, 
-2, 
-3), 
labels=c("filled", 
"missing", 
"na (PL160 not = 1)", 
"not selected respondent")) 


PL180_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL180, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("employed - unemployed", 
"employed - retired", 
"employed - other inactive", 
"unemployed - employed", 
"unemployed - retired", 
"unemployed - other inactive", 
"retired - employed", 
"retired - unemployed", 
"retired - other inactive", 
"other inactive - employed", 
"other inactive - unemployed", 
"other inactive - retired")) 


PL180_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL180_F, 
levels=c(1, 
-1, 
-2, 
-3), 
labels=c("filled", 
"missing", 
"not applicable (no change since last year)", 
"not selected respondent")) 


PL190_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL190_F, 
levels=c(1, 
-1, 
-2, 
-3), 
labels=c("filled", 
"missing", 
"not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))", 
"not selected respondent")) 


PL200_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL200_F, 
levels=c(1, 
-1, 
-2, 
-3), 
labels=c("filled", 
"missing", 
"not applicable (person never worked i.e. (PL031 not = 1, 2, 3 or 4 AND PL015 not= 1))", 
"not selected respondent")) 


PL211A_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211A, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211A_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211A_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211B_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211B, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211B_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211B_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211C_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211C, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211C_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211C_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211D_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211D, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211D_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211D_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211E_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211E, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211E_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211E_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211F, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211F_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211F_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211G_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211G, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211G_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211G_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211H_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211H, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211H_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211H_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211I_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211I, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211I_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211I_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211J_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211J, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211J_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211J_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211K_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211K, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211K_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211K_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PL211L_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211L, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Employee working full-time", 
"Employee working part-time", 
"Self-employed working full-time (including family worker)", 
"Self-employed working part-time (including family worker)", 
"Unemployed", 
"Pupil, student, further training, unpaid work experience", 
"In retirement or in early retirement or has given up business", 
"Permanently disabled or/and unfit to work", 
"In compulsory military community or service", 
"Fulfilling domestic tasks and care responsibilities", 
"Other inactive person")) 


PL211L_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PL211L_F, 
levels=c(1, 
-1, 
-3), 
labels=c("filled", 
"missing", 
"not selected respondent")) 


PX040_Fact <- factor(DF_EUSILC_A2016_PERSONAL_DATA_P$PX040, 
levels=c(1, 
2, 
3, 
4), 
labels=c("current household member aged 16 and over Only selected household member aged 16 and over is interviewed", 
"selected respondent", 
"not selected respondent Households members aged less than 16 at the time of interview", 
"not eligible person")) 

save.image (file="DF_EUSILC_A2016_PERSONAL_DATA_P.RData")
